@import "./src/css/workgroup";

.loading {
    position: relative;
    width: 100%;
    height: 100%;
    @include _display-flex(flex, center, center, column);
    padding: $grid-gap*2;

    &.-fix {
        position: fixed;
        top: 0;
        left: 0;
        z-index: map_get($z-index, 'loading-wheel');
    }

    border-radius: 0 0 20px 20px;
    background: $color-primary;
    text-align: center;

    @include _curtainToggleAnimation(70vh, 330ms) {
        border-radius: 0;
    }

    p:not(:empty) {
        margin-top: 10px;
        @include _font-paragraph('regular', $color-white);
        text-transform: uppercase;
        letter-spacing: 1px;
    }

    .cred {
        position: absolute;
        bottom: $grid-gap*2;
        //opacity: .35;
        @include _font-paragraph('regular', darken($color-primary, 18%));
    }

    svg path {
        fill: $color-white;
    }
}